;;
;;   File        : gmic_shell.scm
;;               ( Scheme script for GIMP )
;; taken from    David Tschumperlé script
;; get gmic_gimp_qt plugin from www.gmic.eu


(define	(gmic-shell img drawable)

  ;; Start undo group.
  (gimp-image-undo-group-start img)

  (let* (
         (copy-layer (car (gimp-layer-copy drawable TRUE)))
        )

    ;; Add a copy of the layer to the image.
    (gimp-image-insert-layer img copy-layer 0 -1)

    ;;put your gmic commands in the following
;    (plug-in-gmic-qt 1 img drawable 1 0 "-v -99 -fx_stencilbw 10,10,0,0,0") ; example
    (plug-in-gmic-qt 1 img drawable 1 0 "v -99 fx_customize_clut 100,0,10,0,0,0,0,-100,0,0,8,0.5,1,255,255,255,255,255,255,2,255,0,0,0,0,0,2,255,78,0,23,23,23,2,255,157,0,42,43,42,2,255,235,0,59,59,60,2,248,255,0,67,66,66,2,196,255,0,81,81,81,2,0,255,39,136,137,136,2,0,255,118,154,153,154,2,0,255,170,169,169,169,2,0,255,248,196,196,196,2,0,183,255,208,208,208,2,0,105,255,226,227,226,2,0,52,255,242,242,242,2,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0")


    
    (gimp-image-flatten img)
    
    )

  ;; Flush display.
  (gimp-displays-flush)

  ;; End undo group.
  (gimp-image-undo-group-end img)
  )

(script-fu-register "gmic-shell"
                    _"<Image>/Filters/G'MIC shell..."
                    ""
                    ""
                    ""
                    "2017"
                    "*"
                    SF-IMAGE		"Image"		1
                    SF-DRAWABLE         "Drawable"      1
                    )
